Certification Report for PX EMI-1 RC1 (PX 1.0.5-1, x86, SL5)

Origins

Build Report
YUM repo file http://etics-repository.cern.ch/repository/pm/volatile/repomd/id/d7483e46-998f-4770-b6f7-b90c50211416/sl5_x86_64_gcc412EPEL/etics-volatile-build-by-id-protect.repo
Patch
Task https://savannah.cern.ch/task/?18714
Components emi.px subsystem
Status In Progress
Duration

Clean installation

Environment

Clean SL5 installation according to gLite guidelines (CA certificates, ...). EPEL repository installed by calling cd /etc/yum.repos.d; wget http://download.fedora.redhat.com/pub/epel/5/x86_64/epel-release-5-4.noarch.rpm; rpm -Uvh epel-release-5*.rpm

Process


cd /etc/yum.repos.d
wget http://download.fedora.redhat.com/pub/epel/5/x86_64/epel-release-5-4.noarch.rpm
rpm -Uvh epel-release-5*.rpm

cd /etc/yum.repos.d/
#wget http://etics-repository.cern.ch/repository/pm/volatile/repomd/id/d7483e46-998f-4770-b6f7-b90c50211416/sl5_x86_64_gcc412EPEL/etics-volatile-build-by-id-protect.repo

cat << EOF > rc1.repo
[EMI-1-RC1]
name=EMI 1 RC1 Repository
baseurl=http://emisoft.web.cern.ch/emisoft/dist/EMI/1/RC1/sl5/\$basearch/
priority=45
protect=1
enabled=1
EOF

yum install -y glite-PX glite-px-proxyrenewal



cd ~/
mkdir -m 700 yaim
cd yaim
cat << EOF > site-info.def
SITE_NAME=krakonosovo
PX_HOST=`hostname -f`
GRID_AUTHORIZED_RETRIEVERS="\*"
EOF

/opt/glite/yaim/bin/yaim -c -s ./site-info.def -n glite-PX

export GLITE_USER=glite

/etc/init.d/glite-proxy-renewald start

Full output of the installation

[root@delwin ~]# cd /etc/yum.repos.d
[root@delwin yum.repos.d]# wget http://download.fedora.redhat.com/pub/epel/5/x86_64/epel-release-5-4.noarch.rpm
--2011-03-14 10:31:17--  http://download.fedora.redhat.com/pub/epel/5/x86_64/epel-release-5-4.noarch.rpm
Resolving download.fedora.redhat.com... 209.132.181.23, 209.132.181.24, 209.132.181.25, ...
Connecting to download.fedora.redhat.com|209.132.181.23|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 12232 (12K) [application/x-rpm]
Saving to: `epel-release-5-4.noarch.rpm'

100%[==============================================================================================================================================>] 12,232      32.9K/s   in 0.4s    

2011-03-14 10:31:18 (32.9 KB/s) - `epel-release-5-4.noarch.rpm' saved [12232/12232]

[root@delwin yum.repos.d]# rpm -Uvh epel-release-5*.rpm
warning: epel-release-5-4.noarch.rpm: Header V3 DSA signature: NOKEY, key ID 217521f6
Preparing...                ########################################### [100%]
   1:epel-release           ########################################### [100%]
[root@delwin yum.repos.d]# 
[root@delwin yum.repos.d]# cd /etc/yum.repos.d/
[root@delwin yum.repos.d]# #wget http://etics-repository.cern.ch/repository/pm/volatile/repomd/id/d7483e46-998f-4770-b6f7-b90c50211416/sl5_x86_64_gcc412EPEL/etics-volatile-build-by-id-protect.repo
[root@delwin yum.repos.d]# 
[root@delwin yum.repos.d]# cat << EOF > rc1.repo
> [EMI-1-RC1]
> name=EMI 1 RC1 Repository
> baseurl=http://emisoft.web.cern.ch/emisoft/dist/EMI/1/RC1/sl5/\$basearch/
> priority=45
> protect=1
> enabled=1
> EOF
[root@delwin yum.repos.d]# 
[root@delwin yum.repos.d]# yum install -y glite-PX glite-px-proxyrenewal
Loaded plugins: kernel-module
EGI-trustanchors                                                                                                                                                 | 1.9 kB     00:00     
EMI-1-RC1                                                                                                                                                        |  951 B     00:00     
EMI-1-RC1/primary                                                                                                                                                | 177 kB     00:00     
EMI-1-RC1                                                                                                                                                                       769/769
epel                                                                                                                                                             | 3.7 kB     00:00     
epel/primary_db                                                                                                                                                  | 3.6 MB     00:00     
sl-base                                                                                                                                                          | 2.1 kB     00:00     
sl-security                                                                                                                                                      | 1.9 kB     00:00     
sl-security/primary_db                                                                                                                                           | 905 kB     00:00     
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package glite-PX.x86_64 0:3.2.1-4.sl5 set to be updated
--> Processing Dependency: glite-version for package: glite-PX
--> Processing Dependency: myproxy-admin for package: glite-PX
--> Processing Dependency: fetch-crl for package: glite-PX
--> Processing Dependency: bdii for package: glite-PX
--> Processing Dependency: myproxy-server for package: glite-PX
--> Processing Dependency: glite-px-myproxy-yaim for package: glite-PX
--> Processing Dependency: glue-schema for package: glite-PX
--> Processing Dependency: glite-info-provider-service for package: glite-PX
---> Package glite-px-proxyrenewal.x86_64 0:1.3.16-2.sl5 set to be updated
--> Processing Dependency: voms for package: glite-px-proxyrenewal
--> Processing Dependency: globus-gssapi-gsi for package: glite-px-proxyrenewal
--> Processing Dependency: myproxy-libs for package: glite-px-proxyrenewal
--> Processing Dependency: libglobus_gsi_credential.so.1()(64bit) for package: glite-px-proxyrenewal
--> Processing Dependency: libglobus_gsi_cert_utils.so.0()(64bit) for package: glite-px-proxyrenewal
--> Processing Dependency: libglobus_gsi_sysconfig.so.1()(64bit) for package: glite-px-proxyrenewal
--> Processing Dependency: libltdl.so.3()(64bit) for package: glite-px-proxyrenewal
--> Processing Dependency: libglobus_openssl.so.0()(64bit) for package: glite-px-proxyrenewal
--> Processing Dependency: libvomsapi.so.1()(64bit) for package: glite-px-proxyrenewal
--> Processing Dependency: libglobus_proxy_ssl.so.1()(64bit) for package: glite-px-proxyrenewal
--> Processing Dependency: libglobus_gsi_callback.so.0()(64bit) for package: glite-px-proxyrenewal
--> Processing Dependency: libglobus_gsi_proxy_core.so.0()(64bit) for package: glite-px-proxyrenewal
--> Processing Dependency: libglobus_xio.so.0()(64bit) for package: glite-px-proxyrenewal
--> Processing Dependency: libmyproxy.so.5()(64bit) for package: glite-px-proxyrenewal
--> Processing Dependency: libglobus_openssl_error.so.0()(64bit) for package: glite-px-proxyrenewal
--> Processing Dependency: libglobus_oldgaa.so.0()(64bit) for package: glite-px-proxyrenewal
--> Processing Dependency: libglobus_gssapi_gsi.so.4()(64bit) for package: glite-px-proxyrenewal
--> Processing Dependency: libglobus_common.so.0()(64bit) for package: glite-px-proxyrenewal
--> Processing Dependency: libglobus_gss_assist.so.3()(64bit) for package: glite-px-proxyrenewal
--> Processing Dependency: libglobus_callout.so.0()(64bit) for package: glite-px-proxyrenewal
--> Processing Dependency: libglobus_usage.so.0()(64bit) for package: glite-px-proxyrenewal
--> Running transaction check
---> Package bdii.noarch 0:5.2.0-1 set to be updated
--> Processing Dependency: expect for package: bdii
--> Processing Dependency: openldap-servers for package: bdii
--> Processing Dependency: openldap-clients for package: bdii
---> Package fetch-crl.noarch 0:2.8.4-2.el5 set to be updated
---> Package glite-info-provider-service.noarch 0:1.5.0-1 set to be updated
---> Package glite-px-myproxy-yaim.x86_64 0:4.1.3-1.sl5 set to be updated
--> Processing Dependency: glite-yaim-core for package: glite-px-myproxy-yaim
--> Processing Dependency: glite-yaim-bdii for package: glite-px-myproxy-yaim
---> Package glite-version.noarch 0:3.2.3-1 set to be updated
---> Package globus-callout.x86_64 0:0.7-6.el5 set to be updated
--> Processing Dependency: globus-libtool >= 1 for package: globus-callout
---> Package globus-common.x86_64 0:11.5-3.el5 set to be updated
---> Package globus-gsi-callback.x86_64 0:2.7-1.el5 set to be updated
--> Processing Dependency: globus-openssl >= 1 for package: globus-gsi-callback
---> Package globus-gsi-cert-utils.x86_64 0:6.6-1.el5 set to be updated
---> Package globus-gsi-credential.x86_64 0:3.5-1.el5 set to be updated
---> Package globus-gsi-openssl-error.x86_64 0:0.14-6.el5 set to be updated
---> Package globus-gsi-proxy-core.x86_64 0:4.5-1.el5 set to be updated
---> Package globus-gsi-proxy-ssl.x86_64 0:2.3-1.el5 set to be updated
---> Package globus-gsi-sysconfig.x86_64 0:3.1-1.el5 set to be updated
---> Package globus-gss-assist.x86_64 0:5.9-2.el5 set to be updated
---> Package globus-gssapi-gsi.x86_64 0:7.5-1.el5 set to be updated
---> Package globus-openssl-module.x86_64 0:1.3-1.el5 set to be updated
---> Package globus-usage.x86_64 0:1.3-1.el5 set to be updated
---> Package globus-xio.x86_64 0:2.8-2.el5 set to be updated
---> Package glue-schema.noarch 0:2.0.6-1.el5 set to be updated
---> Package libtool-ltdl.x86_64 0:1.5.22-7.el5_4 set to be updated
---> Package myproxy-admin.x86_64 0:5.3-3.el5 set to be updated
--> Processing Dependency: myproxy = 5.3-3.el5 for package: myproxy-admin
--> Processing Dependency: globus-gsi-cert-utils-progs for package: myproxy-admin
--> Processing Dependency: libvomsapi.so.0()(64bit) for package: myproxy-admin
---> Package myproxy-libs.x86_64 0:5.3-3.el5 set to be updated
---> Package myproxy-server.x86_64 0:5.3-3.el5 set to be updated
---> Package voms.x86_64 0:2.0.0-1.sl5 set to be updated
--> Running transaction check
---> Package expect.x86_64 0:5.43.0-5.1 set to be updated
---> Package glite-yaim-bdii.noarch 0:4.2.0-1 set to be updated
---> Package glite-yaim-core.noarch 0:4.9.99-0.sl5 set to be updated
---> Package globus-gsi-cert-utils-progs.x86_64 0:6.6-1.el5 set to be updated
--> Processing Dependency: globus-common-setup >= 2 for package: globus-gsi-cert-utils-progs
--> Processing Dependency: globus-openssl-progs >= 1 for package: globus-gsi-cert-utils-progs
---> Package globus-libtool.x86_64 0:1.2-4.el5 set to be updated
---> Package globus-openssl.x86_64 0:5.1-2.el5 set to be updated
---> Package myproxy.x86_64 0:5.3-3.el5 set to be updated
--> Processing Dependency: globus-proxy-utils for package: myproxy
--> Processing Dependency: voms-clients for package: myproxy
---> Package openldap-clients.x86_64 0:2.3.43-12.el5_6.7 set to be updated
--> Processing Dependency: openldap = 2.3.43-12.el5_6.7 for package: openldap-clients
---> Package openldap-servers.x86_64 0:2.3.43-12.el5_6.7 set to be updated
EMI-1-RC1/filelists                                                                                                                                              | 220 kB     00:00     
epel/filelists_db                                                                                                                                                | 5.1 MB     00:00     
sl-security/filelists_db                                                                                                                                         | 3.5 MB     00:00     
---> Package voms-compat.x86_64 0:1.9.19.2-1.el5 set to be updated
--> Running transaction check
---> Package globus-common-progs.x86_64 0:11.5-3.el5 set to be updated
---> Package globus-openssl-progs.x86_64 0:5.1-2.el5 set to be updated
---> Package globus-proxy-utils.x86_64 0:3.9-1.el5 set to be updated
--> Processing Dependency: openldap = 2.3.43-12.el5_5.1 for package: openldap-devel
--> Processing Dependency: openldap = 2.3.43-12.el5_5.1 for package: openldap-devel
---> Package openldap.i386 0:2.3.43-12.el5_6.7 set to be updated
---> Package openldap.x86_64 0:2.3.43-12.el5_6.7 set to be updated
---> Package voms-clients.x86_64 0:2.0.0-1.sl5 set to be updated
--> Running transaction check
---> Package openldap-devel.i386 0:2.3.43-12.el5_6.7 set to be updated
---> Package openldap-devel.x86_64 0:2.3.43-12.el5_6.7 set to be updated
--> Finished Dependency Resolution
Beginning Kernel Module Plugin
Finished Kernel Module Plugin

Dependencies Resolved

========================================================================================================================================================================================
 Package                                                 Arch                               Version                                       Repository                               Size
========================================================================================================================================================================================
Installing:
 glite-PX                                                x86_64                             3.2.1-4.sl5                                   EMI-1-RC1                               2.1 k
 glite-px-proxyrenewal                                   x86_64                             1.3.16-2.sl5                                  EMI-1-RC1                                81 k
Installing for dependencies:
 bdii                                                    noarch                             5.2.0-1                                       EMI-1-RC1                                20 k
 expect                                                  x86_64                             5.43.0-5.1                                    sl-base                                 160 k
 fetch-crl                                               noarch                             2.8.4-2.el5                                   epel                                     24 k
 glite-info-provider-service                             noarch                             1.5.0-1                                       EMI-1-RC1                                47 k
 glite-px-myproxy-yaim                                   x86_64                             4.1.3-1.sl5                                   EMI-1-RC1                               8.7 k
 glite-version                                           noarch                             3.2.3-1                                       EMI-1-RC1                               4.7 k
 glite-yaim-bdii                                         noarch                             4.2.0-1                                       EMI-1-RC1                               9.8 k
 glite-yaim-core                                         noarch                             4.9.99-0.sl5                                  EMI-1-RC1                               140 k
 globus-callout                                          x86_64                             0.7-6.el5                                     epel                                     15 k
 globus-common                                           x86_64                             11.5-3.el5                                    epel                                    108 k
 globus-common-progs                                     x86_64                             11.5-3.el5                                    epel                                     62 k
 globus-gsi-callback                                     x86_64                             2.7-1.el5                                     epel                                     38 k
 globus-gsi-cert-utils                                   x86_64                             6.6-1.el5                                     epel                                     17 k
 globus-gsi-cert-utils-progs                             x86_64                             6.6-1.el5                                     epel                                     25 k
 globus-gsi-credential                                   x86_64                             3.5-1.el5                                     epel                                     32 k
 globus-gsi-openssl-error                                x86_64                             0.14-6.el5                                    epel                                     14 k
 globus-gsi-proxy-core                                   x86_64                             4.5-1.el5                                     epel                                     33 k
 globus-gsi-proxy-ssl                                    x86_64                             2.3-1.el5                                     epel                                     17 k
 globus-gsi-sysconfig                                    x86_64                             3.1-1.el5                                     epel                                     27 k
 globus-gss-assist                                       x86_64                             5.9-2.el5                                     epel                                     30 k
 globus-gssapi-gsi                                       x86_64                             7.5-1.el5                                     epel                                     54 k
 globus-libtool                                          x86_64                             1.2-4.el5                                     epel                                    4.2 k
 globus-openssl                                          x86_64                             5.1-2.el5                                     epel                                    4.6 k
 globus-openssl-module                                   x86_64                             1.3-1.el5                                     epel                                     12 k
 globus-openssl-progs                                    x86_64                             5.1-2.el5                                     epel                                    4.3 k
 globus-proxy-utils                                      x86_64                             3.9-1.el5                                     epel                                     44 k
 globus-usage                                            x86_64                             1.3-1.el5                                     epel                                     14 k
 globus-xio                                              x86_64                             2.8-2.el5                                     epel                                    123 k
 glue-schema                                             noarch                             2.0.6-1.el5                                   epel                                     34 k
 libtool-ltdl                                            x86_64                             1.5.22-7.el5_4                                sl-base                                  38 k
 myproxy                                                 x86_64                             5.3-3.el5                                     epel                                     82 k
 myproxy-admin                                           x86_64                             5.3-3.el5                                     epel                                     52 k
 myproxy-libs                                            x86_64                             5.3-3.el5                                     epel                                    118 k
 myproxy-server                                          x86_64                             5.3-3.el5                                     epel                                     51 k
 openldap-clients                                        x86_64                             2.3.43-12.el5_6.7                             sl-security                             223 k
 openldap-servers                                        x86_64                             2.3.43-12.el5_6.7                             sl-security                             2.2 M
 voms                                                    x86_64                             2.0.0-1.sl5                                   EMI-1-RC1                               713 k
 voms-clients                                            x86_64                             2.0.0-1.sl5                                   EMI-1-RC1                               198 k
 voms-compat                                             x86_64                             1.9.19.2-1.el5                                EMI-1-RC1                               417 k
Updating for dependencies:
 openldap                                                i386                               2.3.43-12.el5_6.7                             sl-security                             296 k
 openldap                                                x86_64                             2.3.43-12.el5_6.7                             sl-security                             304 k
 openldap-devel                                          i386                               2.3.43-12.el5_6.7                             sl-security                             1.5 M
 openldap-devel                                          x86_64                             2.3.43-12.el5_6.7                             sl-security                             1.6 M

Transaction Summary
========================================================================================================================================================================================
Install      41 Package(s)
Upgrade       4 Package(s)

Total download size: 8.9 M
Downloading Packages:
(1/45): glite-PX-3.2.1-4.sl5.x86_64.rpm                                                                                                                          | 2.1 kB     00:00     
(2/45): globus-libtool-1.2-4.el5.x86_64.rpm                                                                                                                      | 4.2 kB     00:00     
(3/45): globus-openssl-progs-5.1-2.el5.x86_64.rpm                                                                                                                | 4.3 kB     00:00     
(4/45): globus-openssl-5.1-2.el5.x86_64.rpm                                                                                                                      | 4.6 kB     00:00     
(5/45): glite-version-3.2.3-1.noarch.rpm                                                                                                                         | 4.7 kB     00:00     
(6/45): glite-px-myproxy-yaim-4.1.3-1.sl5.x86_64.rpm                                                                                                             | 8.7 kB     00:00     
(7/45): glite-yaim-bdii-4.2.0-1.noarch.rpm                                                                                                                       | 9.8 kB     00:00     
(8/45): globus-openssl-module-1.3-1.el5.x86_64.rpm                                                                                                               |  12 kB     00:00     
(9/45): globus-gsi-openssl-error-0.14-6.el5.x86_64.rpm                                                                                                           |  14 kB     00:00     
(10/45): globus-usage-1.3-1.el5.x86_64.rpm                                                                                                                       |  14 kB     00:00     
(11/45): globus-callout-0.7-6.el5.x86_64.rpm                                                                                                                     |  15 kB     00:00     
(12/45): globus-gsi-proxy-ssl-2.3-1.el5.x86_64.rpm                                                                                                               |  17 kB     00:00     
(13/45): globus-gsi-cert-utils-6.6-1.el5.x86_64.rpm                                                                                                              |  17 kB     00:00     
(14/45): bdii-5.2.0-1.noarch.rpm                                                                                                                                 |  20 kB     00:00     
(15/45): fetch-crl-2.8.4-2.el5.noarch.rpm                                                                                                                        |  24 kB     00:00     
(16/45): globus-gsi-cert-utils-progs-6.6-1.el5.x86_64.rpm                                                                                                        |  25 kB     00:00     
(17/45): globus-gsi-sysconfig-3.1-1.el5.x86_64.rpm                                                                                                               |  27 kB     00:00     
(18/45): globus-gss-assist-5.9-2.el5.x86_64.rpm                                                                                                                  |  30 kB     00:00     
(19/45): globus-gsi-credential-3.5-1.el5.x86_64.rpm                                                                                                              |  32 kB     00:00     
(20/45): globus-gsi-proxy-core-4.5-1.el5.x86_64.rpm                                                                                                              |  33 kB     00:00     
(21/45): glue-schema-2.0.6-1.el5.noarch.rpm                                                                                                                      |  34 kB     00:00     
(22/45): globus-gsi-callback-2.7-1.el5.x86_64.rpm                                                                                                                |  38 kB     00:00     
(23/45): libtool-ltdl-1.5.22-7.el5_4.x86_64.rpm                                                                                                                  |  38 kB     00:00     
(24/45): globus-proxy-utils-3.9-1.el5.x86_64.rpm                                                                                                                 |  44 kB     00:00     
(25/45): glite-info-provider-service-1.5.0-1.noarch.rpm                                                                                                          |  47 kB     00:00     
(26/45): myproxy-server-5.3-3.el5.x86_64.rpm                                                                                                                     |  51 kB     00:00     
(27/45): myproxy-admin-5.3-3.el5.x86_64.rpm                                                                                                                      |  52 kB     00:00     
(28/45): globus-gssapi-gsi-7.5-1.el5.x86_64.rpm                                                                                                                  |  54 kB     00:00     
(29/45): globus-common-progs-11.5-3.el5.x86_64.rpm                                                                                                               |  62 kB     00:00     
(30/45): glite-px-proxyrenewal-1.3.16-2.sl5.x86_64.rpm                                                                                                           |  81 kB     00:00     
(31/45): myproxy-5.3-3.el5.x86_64.rpm                                                                                                                            |  82 kB     00:00     
(32/45): globus-common-11.5-3.el5.x86_64.rpm                                                                                                                     | 108 kB     00:00     
(33/45): myproxy-libs-5.3-3.el5.x86_64.rpm                                                                                                                       | 118 kB     00:00     
(34/45): globus-xio-2.8-2.el5.x86_64.rpm                                                                                                                         | 123 kB     00:00     
(35/45): glite-yaim-core-4.9.99-0.sl5.noarch.rpm                                                                                                                 | 140 kB     00:00     
(36/45): expect-5.43.0-5.1.x86_64.rpm                                                                                                                            | 160 kB     00:00     
(37/45): voms-clients-2.0.0-1.sl5.x86_64.rpm                                                                                                                     | 198 kB     00:00     
(38/45): openldap-clients-2.3.43-12.el5_6.7.x86_64.rpm                                                                                                           | 223 kB     00:00     
(39/45): openldap-2.3.43-12.el5_6.7.i386.rpm                                                                                                                     | 296 kB     00:00     
(40/45): openldap-2.3.43-12.el5_6.7.x86_64.rpm                                                                                                                   | 304 kB     00:00     
(41/45): voms-compat-1.9.19.2-1.el5.x86_64.rpm                                                                                                                   | 417 kB     00:00     
(42/45): voms-2.0.0-1.sl5.x86_64.rpm                                                                                                                             | 713 kB     00:00     
(43/45): openldap-devel-2.3.43-12.el5_6.7.i386.rpm                                                                                                               | 1.5 MB     00:00     
(44/45): openldap-devel-2.3.43-12.el5_6.7.x86_64.rpm                                                                                                             | 1.6 MB     00:00     
(45/45): openldap-servers-2.3.43-12.el5_6.7.x86_64.rpm                                                                                                           | 2.2 MB     00:01     
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                                   835 kB/s | 8.9 MB     00:10     
warning: rpmts_HdrFromFdno: Header V3 DSA signature: NOKEY, key ID 217521f6
epel/gpgkey                                                                                                                                                      | 1.7 kB     00:00     
Importing GPG key 0x217521F6 "Fedora EPEL <epel@fedoraproject.org>" from /etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing     : libtool-ltdl                                                                                                                                                    1/49 
  Updating       : openldap                                                                                                                                                        2/49 
  Installing     : voms-compat                                                                                                                                                     3/49 
  Installing     : voms                                                                                                                                                            4/49 
  Installing     : globus-openssl                                                                                                                                                  5/49 
  Installing     : globus-gsi-proxy-ssl                                                                                                                                            6/49 
  Installing     : globus-libtool                                                                                                                                                  7/49 
  Installing     : globus-common                                                                                                                                                   8/49 
  Installing     : globus-gsi-openssl-error                                                                                                                                        9/49 
  Installing     : globus-gsi-sysconfig                                                                                                                                           10/49 
  Installing     : globus-openssl-module                                                                                                                                          11/49 
  Installing     : globus-gsi-cert-utils                                                                                                                                          12/49 
  Installing     : globus-gsi-callback                                                                                                                                            13/49 
  Installing     : globus-gsi-credential                                                                                                                                          14/49 
  Installing     : globus-gsi-proxy-core                                                                                                                                          15/49 
  Installing     : globus-gssapi-gsi                                                                                                                                              16/49 
  Installing     : globus-callout                                                                                                                                                 17/49 
  Installing     : globus-gss-assist                                                                                                                                              18/49 
  Installing     : globus-xio                                                                                                                                                     19/49 
  Installing     : globus-usage                                                                                                                                                   20/49 
  Installing     : myproxy-libs                                                                                                                                                   21/49 
  Installing     : myproxy-server                                                                                                                                                 22/49 
  Installing     : glite-yaim-core                                                                                                                                                23/49 
  Installing     : glue-schema                                                                                                                                                    24/49 
  Installing     : globus-proxy-utils                                                                                                                                             25/49 
  Installing     : globus-common-progs                                                                                                                                            26/49 
  Installing     : voms-clients                                                                                                                                                   27/49 
  Installing     : myproxy                                                                                                                                                        28/49 
  Installing     : expect                                                                                                                                                         29/49 
  Installing     : glite-yaim-bdii                                                                                                                                                30/49 
  Installing     : glite-px-myproxy-yaim                                                                                                                                          31/49 
  Installing     : globus-openssl-progs                                                                                                                                           32/49 
  Installing     : globus-gsi-cert-utils-progs                                                                                                                                    33/49 
  Installing     : myproxy-admin                                                                                                                                                  34/49 
  Installing     : glite-info-provider-service                                                                                                                                    35/49 
  Installing     : glite-version                                                                                                                                                  36/49 
  Installing     : fetch-crl                                                                                                                                                      37/49 
  Updating       : openldap                                                                                                                                                       38/49 
  Installing     : openldap-servers                                                                                                                                               39/49 
  Installing     : openldap-clients                                                                                                                                               40/49 
  Installing     : glite-px-proxyrenewal                                                                                                                                          41/49 
  Installing     : bdii                                                                                                                                                           42/49 
  Installing     : glite-PX                                                                                                                                                       43/49 
  Updating       : openldap-devel                                                                                                                                                 44/49 
  Updating       : openldap-devel                                                                                                                                                 45/49 
  Cleanup        : openldap                                                                                                                                                       46/49 
  Cleanup        : openldap-devel                                                                                                                                                 47/49 
  Cleanup        : openldap-devel                                                                                                                                                 48/49 
  Cleanup        : openldap                                                                                                                                                       49/49 

Installed:
  glite-PX.x86_64 0:3.2.1-4.sl5                                                       glite-px-proxyrenewal.x86_64 0:1.3.16-2.sl5                                                      

Dependency Installed:
  bdii.noarch 0:5.2.0-1                       expect.x86_64 0:5.43.0-5.1                      fetch-crl.noarch 0:2.8.4-2.el5               glite-info-provider-service.noarch 0:1.5.0-1 
  glite-px-myproxy-yaim.x86_64 0:4.1.3-1.sl5  glite-version.noarch 0:3.2.3-1                  glite-yaim-bdii.noarch 0:4.2.0-1             glite-yaim-core.noarch 0:4.9.99-0.sl5        
  globus-callout.x86_64 0:0.7-6.el5           globus-common.x86_64 0:11.5-3.el5               globus-common-progs.x86_64 0:11.5-3.el5      globus-gsi-callback.x86_64 0:2.7-1.el5       
  globus-gsi-cert-utils.x86_64 0:6.6-1.el5    globus-gsi-cert-utils-progs.x86_64 0:6.6-1.el5  globus-gsi-credential.x86_64 0:3.5-1.el5     globus-gsi-openssl-error.x86_64 0:0.14-6.el5 
  globus-gsi-proxy-core.x86_64 0:4.5-1.el5    globus-gsi-proxy-ssl.x86_64 0:2.3-1.el5         globus-gsi-sysconfig.x86_64 0:3.1-1.el5      globus-gss-assist.x86_64 0:5.9-2.el5         
  globus-gssapi-gsi.x86_64 0:7.5-1.el5        globus-libtool.x86_64 0:1.2-4.el5               globus-openssl.x86_64 0:5.1-2.el5            globus-openssl-module.x86_64 0:1.3-1.el5     
  globus-openssl-progs.x86_64 0:5.1-2.el5     globus-proxy-utils.x86_64 0:3.9-1.el5           globus-usage.x86_64 0:1.3-1.el5              globus-xio.x86_64 0:2.8-2.el5                
  glue-schema.noarch 0:2.0.6-1.el5            libtool-ltdl.x86_64 0:1.5.22-7.el5_4            myproxy.x86_64 0:5.3-3.el5                   myproxy-admin.x86_64 0:5.3-3.el5             
  myproxy-libs.x86_64 0:5.3-3.el5             myproxy-server.x86_64 0:5.3-3.el5               openldap-clients.x86_64 0:2.3.43-12.el5_6.7  openldap-servers.x86_64 0:2.3.43-12.el5_6.7  
  voms.x86_64 0:2.0.0-1.sl5                   voms-clients.x86_64 0:2.0.0-1.sl5               voms-compat.x86_64 0:1.9.19.2-1.el5         

Dependency Updated:
  openldap.i386 0:2.3.43-12.el5_6.7        openldap.x86_64 0:2.3.43-12.el5_6.7        openldap-devel.i386 0:2.3.43-12.el5_6.7        openldap-devel.x86_64 0:2.3.43-12.el5_6.7       

Complete!
[root@delwin yum.repos.d]# 
[root@delwin yum.repos.d]# 
[root@delwin yum.repos.d]# 
[root@delwin yum.repos.d]# cd ~/
[root@delwin ~]# mkdir -m 700 yaim
[root@delwin ~]# cd yaim
[root@delwin yaim]# cat << EOF > site-info.def
> SITE_NAME=krakonosovo
> PX_HOST=`hostname -f`
> GRID_AUTHORIZED_RETRIEVERS="\*"
> EOF
[root@delwin yaim]# 
[root@delwin yaim]# /opt/glite/yaim/bin/yaim -c -s ./site-info.def -n glite-PX
   INFO: Using site configuration file: ./site-info.def
   INFO: 
         ###################################################################
         
         .             /'.-. ')
         .     yA,-"-,( ,m,:/ )   .oo.     oo    o      ooo  o.     .oo
         .    /      .-Y a  a Y-.     8. .8'    8'8.     8    8b   d'8
         .   /           ~ ~ /         8'    .8oo88.     8    8  8'  8
         . (_/         '===='          8    .8'     8.   8    8  Y   8
         .   Y,-''-,Yy,-.,/           o8o  o8o    o88o  o8o  o8o    o8o
         .    I_))_) I_))_)
         
         
         current working directory: /root/yaim
         site-info.def date: Mar 14 10:33 ./site-info.def
         yaim command: -c -s ./site-info.def -n glite-PX
         log file: /opt/glite/yaim/bin/../log/yaimlog
         Mon Mar 14 10:33:41 CET 2011 : /opt/glite/yaim/bin/yaim
         
         Installed YAIM versions:
         glite-px-myproxy-yaim 4.1.3-1
         glite-yaim-bdii ame:-ame:
         glite-yaim-core ame:-ame:
         
         ####################################################################
   INFO: The default location of the grid-env.(c)sh files will be: /opt/glite/etc/profile.d
   INFO: Sourcing the utilities in /opt/glite/yaim/functions/utils
   INFO: Detecting environment
   INFO: Executing function: config_host_certs_check 
   INFO: Executing function: config_edgusers_check 
   INFO: Executing function: config_proxy_server_check 
   INFO: Executing function: config_bdii_5.2_check 
   INFO: Executing function: config_info_service_px_check 
   INFO: Executing function: config_crl 
   INFO: Executing function: config_host_certs 
   INFO: Executing function: config_edgusers 
   INFO: Executing function: config_gip_service_release 
   INFO: Executing function: config_proxy_server_setenv 
   INFO: Executing function: config_proxy_server 
   INFO: Reloading MyProxy server
   INFO: MyProxy server not running so starting
Starting myproxy-server:                                   [  OK  ]
   INFO: Executing function: config_bdii_5.2 
Stopping BDII: BDII already stopped
Starting BDII slapd:                                       [  OK  ]
Starting BDII update process:                              [  OK  ]
   INFO: Executing function: config_info_service_px_setenv 
   INFO: Executing function: config_info_service_px 
   INFO: Configuration Complete.                                               [  OK  ]
   INFO: YAIM terminated succesfully.
[root@delwin yaim]# export GLITE_USER=glite
[root@delwin yaim]# /etc/init.d/glite-proxy-renewald start
/etc/init.d/glite-proxy-renewald: WARNING: No credentials specified. Using default lookup which is dangerous.
Starting ProxyRenewal Daemon: glite-proxy-renewd ... done

Tests

TestPlan https://twiki.cern.ch/twiki/bin/view/EGEE/PXSoftwareVerificationandValidationPlan
Tests http://glite.cvs.cern.ch/cgi-bin/glite.cgi/org.glite.testsuites.ctb/MyProxy/

Process

myproxy-init -s myproxy1.egee.cesnet.cz -d -n --certfile ~/sustr_cesnet.p12 --keyfile ~/sustr_cesnet.p12 
voms-proxy-init -valid 0:40 -voms voce -key ~/sustr_cesnet.p12 -cert ~/sustr_cesnet.p12 
glite-proxy-renew -s delwin.fi.muni.cz -f /tmp/x509up_u155 -j https://harad.ics.muni.cz:9010/MOfFS2onGHxUcu60xmy2vw start
voms-proxy-info -file /var/glite/spool/glite-renewd/46f28dc374755cd61d02c581fea41d04.0 | grep timeleft
sleep 600
voms-proxy-info -file $proxy | grep timeleft
voms-proxy-info -file /var/glite/spool/glite-renewd/46f28dc374755cd61d02c581fea41d04.0 | grep timeleft
voms-proxy-info -file /tmp/x509up_u155 | grep timeleft
voms-proxy-info -file /var/glite/spool/glite-renewd/46f28dc374755cd61d02c581fea41d04.0 -identity
voms-proxy-info -file /tmp/x509up_u155 -identity
voms-proxy-info -file $proxy /var/glite/spool/glite-renewd/46f28dc374755cd61d02c581fea41d04.0 -actimeleft
voms-proxy-info -file /tmp/x509up_u155 -fqan -actimeleft
glite-proxy-renew -j https://harad.ics.muni.cz:9010/MOfFS2onGHxUcu60xmy2vw stop
ls /var/glite/spool/glite-renewd/46f28dc374755cd61d02c581fea41d04.0
ls /var/glite/spool/glite-renewd/46f28dc374755cd61d02c581fea41d04.0 2>&1 | grep 'No such file or directory' > /dev/null && echo OK

Output

[root@delwin yaim]# su - glite
[glite@delwin ~]$ myproxy-init -s myproxy1.egee.cesnet.cz -d -n --certfile ~/sustr_cesnet.p12 --keyfile ~/sustr_cesnet.p12 
Enter GRID pass phrase for this identity:
Your identity: /DC=org/DC=terena/DC=tcs/C=CZ/O=CESNET/CN=Zdenek Sustr 4040
Creating proxy .................................... Done
Proxy Verify OK
Your proxy is valid until: Mon Mar 21 13:55:05 2011
A proxy valid for 168 hours (7.0 days) for user /DC=org/DC=terena/DC=tcs/C=CZ/O=CESNET/CN=Zdenek Sustr 4040 now exists on myproxy1.egee.cesnet.cz.
[glite@delwin ~]$ voms-proxy-init -valid 0:40 -voms voce -key ~/sustr_cesnet.p12 -cert ~/sustr_cesnet.p12 
Enter GRID pass phrase for this identity:
Your identity: /DC=org/DC=terena/DC=tcs/C=CZ/O=CESNET/CN=Zdenek Sustr 4040
Creating temporary proxy ......................................... Done
Contacting  voms1.egee.cesnet.cz:7001 [/DC=cz/DC=cesnet-ca/O=CESNET/CN=voms1.egee.cesnet.cz] "voce" Done
Creating proxy ........................................ Done
Your proxy is valid until Mon Mar 14 14:36:49 2011
[glite@delwin ~]$ glite-proxy-renew -s delwin.fi.muni.cz -f /tmp/x509up_u155 -j https://harad.ics.muni.cz:9010/MOfFS2onGHxUcu60xmy2vw start
/var/glite/spool/glite-renewd/46f28dc374755cd61d02c581fea41d04.0
[glite@delwin ~]$ voms-proxy-info -file /var/glite/spool/glite-renewd/46f28dc374755cd61d02c581fea41d04.0 | grep timeleft
timeleft  : 0:37:19
[glite@delwin ~]$ sleep 600
[glite@delwin ~]$ voms-proxy-info -file $proxy | grep timeleft
voms-proxy-info: option `-file' requires an argument
[glite@delwin ~]$ voms-proxy-info -file /var/glite/spool/glite-renewd/46f28dc374755cd61d02c581fea41d04.0 | grep timeleft
timeleft  : 0:25:07
[glite@delwin ~]$ voms-proxy-info -file /tmp/x509up_u155 | grep timeleft
timeleft  : 0:24:49
[glite@delwin ~]$ 
[glite@delwin ~]$ voms-proxy-info -file /var/glite/spool/glite-renewd/46f28dc374755cd61d02c581fea41d04.0 -identity
/DC=org/DC=terena/DC=tcs/C=CZ/O=CESNET/CN=Zdenek Sustr 4040
[glite@delwin ~]$ voms-proxy-info -file /tmp/x509up_u155 -identity
/DC=org/DC=terena/DC=tcs/C=CZ/O=CESNET/CN=Zdenek Sustr 4040
[glite@delwin ~]$ voms-proxy-info -file $proxy /var/glite/spool/glite-renewd/46f28dc374755cd61d02c581fea41d04.0 -actimeleft
1440
[glite@delwin ~]$ voms-proxy-info -file /tmp/x509up_u155 -fqan -actimeleft
1434
/voce/Role=NULL/Capability=NULL
[glite@delwin ~]$ glite-proxy-renew -j https://harad.ics.muni.cz:9010/MOfFS2onGHxUcu60xmy2vw stop
[glite@delwin ~]$ ls /var/glite/spool/glite-renewd/46f28dc374755cd61d02c581fea41d04.0
ls: /var/glite/spool/glite-renewd/46f28dc374755cd61d02c581fea41d04.0: No such file or directory
[glite@delwin ~]$ ls /var/glite/spool/glite-renewd/46f28dc374755cd61d02c581fea41d04.0 2>&1 | grep 'No such file or directory' > /dev/null && echo OK
OK

Upgrade from production

N/A

Resolution of Linked Bugs

N/A

-- ZdenekSustr - 09-Mar-2011


This topic: EGEE > WebHome > SA3 > EGEECertification > SA3Testing > PXCertificationReportForEMIRC1
Topic revision: r8 - 2011-03-14 - ZdenekSustr
 
This site is powered by the TWiki collaboration platform Powered by Perl This site is powered by the TWiki collaboration platformCopyright & by the contributing authors. All material on this collaboration platform is the property of the contributing authors.
Ideas, requests, problems regarding TWiki? Ask a support question or Send feedback